#!/bin/bash
# Reproduction recipe for NV-7983 "Infinite Retries"
#
# Usage: create-repo.sh REPO_DIR FS_TYPE

set -e

REPO_DIR="$1"
FS_TYPE="$2"
COMPATIBLE_VERSION=1.6

REPO_URL=file://$REPO_DIR

set -x

svnadmin create --fs-type="$FS_TYPE" --compatible-version="$COMPATIBLE_VERSION" -- "$REPO_DIR"
# Debug builds ('configure --enable-maintainer-mode') enable
# verify-before-commit by default; disable it to match production mode.
echo -en '[debug]\nverify-before-commit = no\n' >> repo/db/fsfs.conf
#echo -en '[rep-sharing]\nenable-rep-sharing = false\n' >> repo/db/fsfs.conf

# Create r1 and r2
svnmucc -U "$REPO_URL" -m "" -- mkdir dir1
svnmucc -U "$REPO_URL" -m "" -- put <(echo One) dir1/file1

